


.slide-bar {	
    // height: 572px;	
    width: 66%;	
    max-width: 66%;	
    background-color: #FFFFFF;
    background: linear-gradient(270deg, rgba(255,255,255,0) 0%, rgba(211,211,211,0.35) 100%);
}

.slider{
    // display: none;
}
.slider::after{
    content:"";
    display: block;
    width: 66%;
    height: 1px;
    background: $corPrincipal;
    position: absolute;
    right: 0px;
    z-index: 444;
}
.carousel {
    display: none;
    position: relative;
    height: 400px;
    width: 100%;
}
.carousel[data-state=active] {
    display: flex;
}

.slides {
    height: 100%;
    width: 100%;
    position: relative;
}


.slide {
    
    padding: 15px;
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    max-width: 100%;
    width: 600px;
    opacity: 0;
    transition: opacity 1000ms;
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    flex-direction: row;
    flex-wrap: wrap;
    & div{
        width: 25%;
        // width: 60px;
        padding: 5px 5px;
        padding: 0px 0px;
        box-sizing: border-box;
        height: auto;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        & p{
            font-size: 0.6rem;
            height: 22px;
            color: #6B6B6B;
            font-family: "Open Sans";
            line-height: 22px;	
            text-align: center;
            // display: none;
        }
        & img{
            border: 1px solid #000000;
            border-radius: 5px;
            width: 60px;
            max-width: 100%;
            display: block;
            // display: none;
        }
    }
}



.slide[data-state=active] {
    display: flex;
    opacity: 1;
}

.indicators {
    position: absolute;
    bottom: 20px;
    right: calc(50% - 50px);
    width: 100px;
    display: flex;
    justify-content: space-between;    
}

.indicator {
    cursor: pointer;
    display: inline-block;
    
    position: relative;
    visibility: hidden;
}

.indicator::after {
    content: "";
    visibility: visible;
    display: block;
    width: 10px;
    height: 10px;
    cursor: pointer;
    position: absolute;
    display: inline-block;
    background-color:rgba(0,134,255,0.4);
    border-radius: 50%;
}
.indicator[data-state='active']:after {
    content: "";
    visibility: visible;
    display: block;
    width: 10px;
    height: 10px;
    cursor: pointer;
    position: absolute;
    background-color:$corPrincipal;
    display: inline-block;
    border-radius: 50%;
}
.listItems{
    // pointer-events: none;
}

.textSlide{
    display: flex;
    flex-wrap: nowrap;
    & figure{
        padding: 5px;
    }
    & img{
        width: auto;
        height: 100%;
    }
    & p{
        color: $textoMedio;
        font-family: "Open Sans";
        font-size: 16px;
        line-height: 26px;
        & strong{
            color: $corPrincipal;
        }
    }
}


.contentSlide{
    max-width: 100%;
    display: block;
}

@media(max-width: 1023px){
    .navSlide{
        max-width: 100%;
        width: 100%;
        z-index: 777;
        display: inline-block;
        position: relative;
        background: $textoClaro;
        & h2{
            color: $corPrincipal;
            font-size: 34px;
            margin: 5px 10px;
            & small{
                font-weight: 400;
                font-size: 16px;
            }
        }
        & p{
            margin: 20px 15px;
            color: $textoMedio;
        }
        & ul{
            width: 100%;
            padding: 0px;
            & li{
                list-style: none;
                display: block;
                &:first-child a span{
                    border-top: solid 1px $textoForm; 
                }
                & a{
                    text-decoration: none;
                    color: $textoEscuro;
                    & span{
                        border-bottom: solid 1px $textoForm; 
                        display: block;
                        padding: 15px 20px;
                        background-repeat: no-repeat;
                        background-image: url(../img/seta-copy.svg);
                        background-position-x: 98%;
                        background-position-y: center;
                        transition: all 0.4s ease-out;
                    }
                    &[data-state="active"]{
                        display: block;
                        min-height: 300px;
                        height: auto;
                        & span{
                            border:none;
                            display: block;
                            // width: 100%;
                            padding: 15px 20px;
                            background-image: url(../img/seta.svg);
                            background-color: $corPrincipal;
                            color: $textoClaro; 
                        }
                    }
                }
            }
        }
    }

    .listItems li a{
        z-index: 8888;
        & .carousel{
            transition: all 0.3s ease-out;
            z-index: 4444;
            display: none;
            & .slides{
                overflow-x: hidden; 
                overflow-y: hidden; 
                & .slide{
                    padding: 25px;
                    box-sizing: border-box;
                    z-index: 22;
                }
                
            }
        }
        &[data-state='active']{
            & .carousel{
                display: flex;
            }
        }
    }

    .container.b-bottom{
        padding: 0px;
    }
    .textSlide{
        display: flex;
        flex-wrap: nowrap;
        padding: 10px 15px;
        position: relative;
        & figure{
            margin: 0px;
            // width:15%;
        }
        & img{
            width: 50px;
        }
        &::before{
            content: '';
            position: absolute;
            display: block;
            left: 15px;
            width: 95%;
            height: 1px;
            box-sizing: border-box;
            background-color:$corPrincipal; 
        }
    }   
    .slider{
        display: none;
        & .slides{
            display: none;
            & .slide{
                display: none;
            }
        }
    } 
}
@media(min-width: 1024px){
    
    .listItems li a{
        & .carousel{
            display: none;
        }
    }    
    .contentSlide{
        max-width: 100%;
        display: flex;
        flex-wrap: nowrap;
    }
    .navSlide{
        padding-right: 10px;
        max-width: 33%;
        width: 33%;
        z-index: 777;
        background: $textoClaro;
        & h2,p{
            margin: inherit;
        }
        & h2{
            color: $corPrincipal;
            font-size: 34px;
            margin: 5px 10px;
            & small{
                font-weight: 400;
                font-size: 16px;
            }
        }
        & p{
            margin: 20px 15px;
            color: $textoMedio;
        }
        & ul{
            margin-top: 42px;
            padding: 0px;
            & li{
                text-decoration: none;
                list-style: none;
                padding-left: 10px;
                & a{
                    display: block;
                    height: 34px;
                    width: 64px;
                    color: $textoMedio;
                    font-family: "Open Sans";
                    font-size: 18px;	
                    line-height: 30px;
                    text-decoration: none;
                    width: 90%;
                    margin: 10px 0px;
                    background-image: url(../img/seta_inativa.svg);
                    background-repeat: no-repeat;
                    background-size: inherit;
                    background-position: center right;
                    position: relative;
                    transition: all 0.3s ease;
                    & span{
                        display: inherit;
                        width: inherit;
                        background-color: inherit;
                        color: inherit; 
                    }
                    &::before,::after{
                        transition: all 0.3s ease;
                    }
                    &:hover {
                        transition: all 0.3s ease;
                        background-image: url(../img/seta_ativa.svg);
                        color: $corPrincipal;
                        font-weight: bold;
                        &::before{
                            content: "";
                            display: block;
                            position: absolute;
                            height: 100%;
                            width: 7%;
                            left: -10%;
                            top: 0px;
                            background-image: url(../img/chave@2x.png);
                            background-repeat: no-repeat;
                            background-size: contain;
                            transition: all 0.3s ease;
                        }
                        &::after{
                            content: "";
                            display: block;
                            position: absolute;
                            height: 100%;
                            width: 7%;
                            right: -9%;
                            top: 0px;
                            background-image: url(../img/chave@2x.png);
                            background-repeat: no-repeat;
                            background-size: contain;
                            transform: rotate(180deg);
                            transition: all 0.3s ease;
                        }
                    }
                    &[data-state=active] {
                        transition: all 0.3s ease;
                        background-image: url(../img/seta_ativa.svg);
                        color: $corPrincipal;
                        font-weight: bold;
                        &::before{
                            content: "";
                            display: block;
                            position: absolute;
                            height: 100%;
                            width: 7%;
                            left: -10%;
                            top: 0px;
                            background-image: url(../img/chave@2x.png);
                            background-repeat: no-repeat;
                            background-size: contain;
                            transition: all 0.3s ease;
                        }
                        &::after{
                            content: "";
                            display: block;
                            position: absolute;
                            height: 100%;
                            width: 7%;
                            right: -9%;
                            top: 0px;
                            background-image: url(../img/chave@2x.png);
                            background-repeat: no-repeat;
                            background-size: contain;
                            transform: rotate(180deg);
                            transition: all 0.3s ease;
                        }
                    }
                }
                
            }
        }
    }
}